Summary: An audio control application for Linux/SPARC systems.
Name: audioctl
Version: 1.3
Release: 4
Copyright: BSD
Group: Applications/Multimedia
Source: ftp://ftp.dementia.org/pub/linux/sparc/audio/%{name}-%{version}.tar.gz
Buildroot: /var/tmp/audioctl-root
ExclusiveArch: sparc sparc64

%description
Audioctl is a utility for displaying or setting various audio system
driver variables on SPARC systems. Audioctl can be used to display or
change the settings for audio parameters like volume, sampling rate
and output device.

%prep
%setup -q -n %{name}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
install -s -m 755 audioctl $RPM_BUILD_ROOT/usr/bin/audioctl
install -m 644 audioctl.1 $RPM_BUILD_ROOT/usr/man/man1/audioctl.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/audioctl
/usr/man/man1/audioctl.*

%changelog
* Mon Mar  6 2000 Bill Nottingham <notting@redhat.com>
- patch was a bad idea

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Tue Jan 18 2000 Bill Nottingham <notting@redhat.com>
- change default device to /dev/audio

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- this looks useful. Let's ship it.
